Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class KeyNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.KeyNotFoundException

public class KeyNotFoundException
extends JboException

This exception is thrown while initializing the definition of an entity object to indicate that the entity object has no primary key attribute.

In BC4J, an entity object must have an attribute designated as a primary key attribute. If none is marked as such, this exception is thrown. Note that the primary key attributes of an entity object in BC4J do not have to be primary key columns in the database table.

However, the primary key attribute must be unique in that no two rows have the same primary key values in the table. Thus, it is highly advised that primary key attributes have either a uniqueness constraint or a unique index in the database table.

Since:
  Business Component for Java 3.0
Version:
  PUBLIC
See Also:
  Serialized Form

Constructor Summary
`KeyNotFoundException(java.lang.String fullName)` Constructs a new instance.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyNotFoundException

    public KeyNotFoundException(java.lang.String fullName)

  Constructs a new instance.
  Parameters:
    `fullName` - the full (package qualified) name of the entity with no PK.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD